package cn.com.ty.lift.system.homepage.dao.mapper;

import cn.com.xwy.boot.mybatis.MyBatisMapper;

/**
 * @author huangyuan
 * @date 2020/2/17
 * @description
 */
@MyBatisMapper
public interface StatisticsCountMapper {
    /**
     * @param
     * @return
     * @description 获取急修总条数
     * @date 2020/2/17 7:36 下午
     */
    long getLiftTotalCount();

    /**
     * @param
     * @return
     * @description 获取项目总条数
     * @date 2020/2/17 7:37 下午
     */
    long getProjectTotalCount();

    /**
     * @param
     * @return
     * @description 获取急修记录总条数
     * @date 2020/2/17 7:37 下午
     */
    long getEmergencyRecordTotalCount();

    /**
     * @param
     * @return
     * @description 获取维保记录总条数
     * @date 2020/2/17 7:38 下午
     */
    long getMaintenanceRecordTotalCount();
}
